Bug 1304931 - Rename "OpenStack Volume" to "OpenStack Block Storage"
Rename "OpenStack Volume" to "OpenStack Block Storage"
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.2.0
: ---
Assigned To: Eyal Shenitzky
Natalie Gavrielov
: Reopened, StringChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 20:13 EST by Yuko Katabami
Modified: 2017-10-25 05:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 10:07:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 82127 master MERGED webadmin: rename "OpenStack Volume" 2017-10-01 05:29 EDT

  None (edit)
Description Yuko Katabami 2016-02-04 20:13:10 EST
Description of problem:

In "Add Provider" window, "Type" dropdown list shows "OpenStack Volume".
If it is referring to Cinder, should it be "OpenStack Block Storage"?

Other OpenStack services in the list includes OpenStack Networking and OpenStack Image -- they are the actual names OpenStack officially uses.


Version-Release number of selected component (if applicable): 3.6


How reproducible: 100%


Steps to Reproduce:
1. From Tree Pane, click "External Provider"
2. Click "Add" to open "Add Provider" window
3. On "General" tab, click "Type" dropdown menu to find "OpenStack Volume"

Actual results:
OpenStack Volume

Expected results:
OpenStack Block Storage

Additional info:
https://wiki.openstack.org/wiki/Cinder
Comment 1 Tal Nisan 2016-02-07 09:52:13 EST
Yaniv, Allon, your thoughts?
Comment 2 Yaniv Lavi 2016-02-07 10:00:17 EST
(In reply to Tal Nisan from comment #1)
> Yaniv, Allon, your thoughts?

No because we might support file based storage in the future and the abstracted Cinder naming is volume.
Comment 3 Yuko Katabami 2016-02-07 16:47:37 EST
Cinder's official title is "OpenStack Block Storage" as you can see in the linked pages below.

https://wiki.openstack.org/wiki/Cinder
https://en.wikipedia.org/wiki/OpenStack#Components

I translate in both in community and RHELOSP but Cinder has never been referred to as "OpenStack Volume".

All OpenStack services have official name.
(the reason why I requested to change OpenStack Network to OpenStack Networking).
Comment 4 Yaniv Lavi 2016-02-21 07:56:55 EST
This is the official naming indeed, we should align.
Comment 5 Sandro Bonazzola 2016-05-02 05:49:43 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 6 Yaniv Lavi 2016-05-23 09:13:57 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 7 Yaniv Lavi 2017-02-23 06:25:15 EST
Moving out all non blocker\exceptions.
Comment 8 Natalie Gavrielov 2017-10-23 04:59:15 EDT
Verified, now shows: "OpenStack Block Storage" instead of "OpenStack Volume"
ovirt-engine-4.2.0-0.0.master.20171022103432.gitaf9d8b6.el7.centos.noarch

Note You need to log in before you can comment on or make changes to this bug.